
//  SPI write variables					
	int	Min_Signal_Width 	= 100;     // 1m    
	int	APD_Voltage      	= 130;//0;
	int	Laser_Voltage    	= 20;     // Used to start the system if >16
	int	Index            	= 0;
	//int	Zero_Width       	= 25;     // ~0.5m
	int	Test_Port        	= 2;//0;       // SPI test points
	int	Measuring_Range  	= 0;      // Shortest range
	int	Main_Xtal        	= 128;    // Mid frequency
	int	Second_Xtal      	= 135;    // Positive time expansion 
	int	Amplifier_Gain	 	= 8;      // Amplifier gain [0-15]
	int	SPI_Footer       	= 0x77;		// Asynchronous load of first SPI data transfer
    
//  SPI read variables
	int	Firmware         	= 0;
	int	Zero_Rear_MSB    	= 0;
	int	Zero_Rear_LSB    	= 0;
	int	Zero_Front_MSB   	= 0;
	int	Zero_Front_LSB   	= 0;
	int	Signal_Rear_MSB  	= 0;
	int	Signal_Rear_LSB  	= 0;
	int	Signal_Front_MSB 	= 0;
	int	Signal_Front_LSB 	= 0;
	int	Noise_MSB        	= 0;
	int	Noise_LSB        	= 0;
	int	Span_MSB         	= 0;
	int	Span_LSB         	= 0;
	int	Status           	= 0;
	
	int zero_front_int		= 0;
	int zero_rear_int			= 0;
	//int zero_width_int		= 0;
	int signal_front_int	= 0;
	int signal_rear_int		= 0;
	int signal_width_int	= 0;
	int noise_int					= 0;
	int span_int					= 0;
	int direction					= 0;
	int min_width					= 100;
	
	float zero_front			= 0.0;
	//float zero_rear				= 0.0;
	//float zero_width			= 0.0;
	float signal_front		= 0.0;
	float signal_rear			= 0.0;
	float signal_width		= 0.0;
	float distance				= 0.0;
	
	char h2m_mode					= 'f';		// Raw = r, Distances = d, Fast = f, Control = c, Static = s
	int rx_flag						= -1;			// Monitors the serial port for activity
	int global_key				= 0;
	int serial_number			= 0;
	float corrections[16];
	float slopes[16];
	float intercepts[16];
	float slope						= 0.0;
	float intercept				= 0.0;
	float correction			= 0.0;
	int zero_offset				= 0;	
	float resolution			= 1.0;
	float range						= 23.4375;
	
	float averages[16];
	int average_pointer		= 0;
	int average_flag			= 1;
	
	int con_noise 				= 50;
	int con_resolution		= 1;		// cm
	
	